import sas_pygame as sas
PFEIL_SPEED = 5

view = sas.createView(600,400, "yellow", "Pfeilwurf")
spielfeld = sas.Rectangle(0,0,600,400, "yellow") 
pfeil = sas.Sprite(sas.Rectangle(10, 5, 50, 5, "blue"))
pfeilSpitze = sas.Polygon([(60, 0)], "blue")
pfeilSpitze.add(20, 7.5)
pfeilSpitze.add(0, 15)
pfeil.add(pfeilSpitze)
zielGruen = sas.Rectangle(590, 125, 10,150,"green")
zielOrange = sas.Rectangle(590, 155, 10,90,"orange")
zielRot = sas.Rectangle(590, 185, 10,30,"red")
anleitung = sas.Text(10, 370, "Mit w werfen", "red")
treffer = 0 

def getroffen():
    if pfeil.intersects(zielRot):
        return 1
    if pfeil.intersects(zielOrange):
        return 2
    if pfeil.intersects(zielGruen):
        return 3
    if not spielfeld.contains(pfeil):
        return 4
    return 0
    
def schreibeErgebnis(treffer):
    text1 = "Treffer 100 Punkte"
    text2 = "Treffer 50 Punkte"
    text3 = "Treffer 10 Punkte"
    text4 = "Leider daneben"
    if treffer == 1:
        text = text1
    elif treffer == 2:
        text = text2
    elif treffer == 3:
        text = text3
    else:
        text = text4
    sas.Text(10, 10, text, "red")

def updateFallen():
    pfeil.move(0,PFEIL_SPEED)
    if not spielfeld.contains(pfeil):
        pfeil.move_to(10,0)
    if view.keyPressed('w'):
        return False
    return True

def updateWerfen():
    pfeil.move(PFEIL_SPEED, 0)
    return getroffen()

fallen = True
treffer = 0
while view.running:
    view.step()
    if fallen:
        fallen = updateFallen()
    elif treffer == 0: 
        treffer = updateWerfen() 
    else:
        schreibeErgebnis(treffer)
view.quit()